com.intellectualcrafters.plot.generator

## Class DefaultPlotWorld

- java.lang.Object
- - com.intellectualcrafters.plot.object.PlotWorld
  - - com.intellectualcrafters.plot.generator.DefaultPlotWorld

-     public class DefaultPlotWorld
      extends PlotWorld

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `PlotBlock` | `CLAIMED_WALL_BLOCK`
    `static PlotBlock` | `CLAIMED_WALL_BLOCK_DEFAULT`
    `PlotBlock[]` | `MAIN_BLOCK` Plot main block
    `static PlotBlock[]` | `MAIN_BLOCK_DEFAULT` Default main block: 1
    `int` | `PLOT_HEIGHT` plot height
    `static int` | `PLOT_HEIGHT_DEFAULT` Default plot height: 64
    `int` | `PLOT_WIDTH` plot width
    `static int` | `PLOT_WIDTH_DEFAULT` Default plot width: 32
    `PlotBlock` | `ROAD_BLOCK` Road block
    `static PlotBlock` | `ROAD_BLOCK_DEFAULT` Default road block: 155
    `int` | `ROAD_HEIGHT` Road Height
    `static int` | `ROAD_HEIGHT_DEFAULT` Default Road Height: 64
    `PlotBlock` | `ROAD_STRIPES` Road stripes
    `static PlotBlock` | `ROAD_STRIPES_DEFAULT` Default road stripes: 35
    `boolean` | `ROAD_STRIPES_ENABLED` enable road stripes
    `static boolean` | `ROAD_STRIPES_ENABLED_DEFAULT`
    `int` | `ROAD_WIDTH` Road width
    `static int` | `ROAD_WIDTH_DEFAULT` Default road width: 7
    `PlotBlock[]` | `TOP_BLOCK` Top blocks
    `static PlotBlock[]` | `TOP_BLOCK_DEFAULT` Default top blocks: {"2"}
    `PlotBlock` | `WALL_BLOCK` Wall block
    `static PlotBlock` | `WALL_BLOCK_DEFAULT` Default wall block: 44
    `PlotBlock` | `WALL_FILLING` Wall filling
    `static PlotBlock` | `WALL_FILLING_DEFAULT` Default wall filling: 1
    `int` | `WALL_HEIGHT` Wall height
    `static int` | `WALL_HEIGHT_DEFAULT` Default Wall Height: 64

    - ### Fields inherited from class com.intellectualcrafters.plot.object.PlotWorld

      `AUTO_MERGE, AUTO_MERGE_DEFAULT, BLOCKS, DEFAULT_FLAGS, DEFAULT_FLAGS_DEFAULT, MERGE_PRICE, MERGE_PRICE_DEFAULT, MOB_SPAWNING, MOB_SPAWNING_DEFAULT, PLOT_BIOME, PLOT_BIOME_DEFAULT, PLOT_CHAT, PLOT_CHAT_DEFAULT, PLOT_PRICE, PLOT_PRICE_DEFAULT, PVE, PVE_DEFAULT, PVP, PVP_DEFAULT, SCHEMATIC_CLAIM_SPECIFY, SCHEMATIC_CLAIM_SPECIFY_DEFAULT, SCHEMATIC_FILE, SCHEMATIC_FILE_DEFAULT, SCHEMATIC_ON_CLAIM, SCHEMATIC_ON_CLAIM_DEFAULT, SCHEMATICS, SCHEMATICS_DEFAULT, SELL_PRICE, SELL_PRICE_DEFAULT, SPAWN_BREEDING, SPAWN_BREEDING_DEFAULT, SPAWN_CUSTOM, SPAWN_CUSTOM_DEFAULT, SPAWN_EGGS, SPAWN_EGGS_DEFAULT, USE_ECONOMY, USE_ECONOMY_DEFAULT, worldname`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPlotWorld(java.lang.String worldname)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConfigurationNode[]` | `getSettingNodes()` CONFIG NODE | DEFAULT VALUE | DESCRIPTION | CONFIGURATION TYPE | REQUIRED FOR INITIAL SETUP Set the last boolean to false if you do not require a specific config node to be set while using the setup command - this may be useful if a config value can be changed at a later date, and has no impact on the actual world generation
    `void` | `loadConfiguration(org.bukkit.configuration.ConfigurationSection config)` This method is called when a world loads.

    - ### Methods inherited from class com.intellectualcrafters.plot.object.PlotWorld

      `loadDefaultConfiguration, saveConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROAD_HEIGHT_DEFAULT

          public static int ROAD_HEIGHT_DEFAULT

      Default Road Height: 64

    - #### PLOT_HEIGHT_DEFAULT

          public static int PLOT_HEIGHT_DEFAULT

      Default plot height: 64

    - #### WALL_HEIGHT_DEFAULT

          public static int WALL_HEIGHT_DEFAULT

      Default Wall Height: 64

    - #### PLOT_WIDTH_DEFAULT

          public static int PLOT_WIDTH_DEFAULT

      Default plot width: 32

    - #### ROAD_WIDTH_DEFAULT

          public static int ROAD_WIDTH_DEFAULT

      Default road width: 7

    - #### MAIN_BLOCK_DEFAULT

          public static PlotBlock[] MAIN_BLOCK_DEFAULT

      Default main block: 1

    - #### TOP_BLOCK_DEFAULT

          public static PlotBlock[] TOP_BLOCK_DEFAULT

      Default top blocks: {"2"}

    - #### WALL_BLOCK_DEFAULT

          public static PlotBlock WALL_BLOCK_DEFAULT

      Default wall block: 44

    - #### CLAIMED_WALL_BLOCK_DEFAULT

          public static PlotBlock CLAIMED_WALL_BLOCK_DEFAULT

    - #### WALL_FILLING_DEFAULT

          public static PlotBlock WALL_FILLING_DEFAULT

      Default wall filling: 1

    - #### ROAD_STRIPES_DEFAULT

          public static PlotBlock ROAD_STRIPES_DEFAULT

      Default road stripes: 35

    - #### ROAD_STRIPES_ENABLED_DEFAULT

          public static boolean ROAD_STRIPES_ENABLED_DEFAULT

    - #### ROAD_BLOCK_DEFAULT

          public static PlotBlock ROAD_BLOCK_DEFAULT

      Default road block: 155

    - #### ROAD_HEIGHT

          public int ROAD_HEIGHT

      Road Height

    - #### PLOT_HEIGHT

          public int PLOT_HEIGHT

      plot height

    - #### WALL_HEIGHT

          public int WALL_HEIGHT

      Wall height

    - #### PLOT_WIDTH

          public int PLOT_WIDTH

      plot width

    - #### ROAD_WIDTH

          public int ROAD_WIDTH

      Road width

    - #### MAIN_BLOCK

          public PlotBlock[] MAIN_BLOCK

      Plot main block

    - #### TOP_BLOCK

          public PlotBlock[] TOP_BLOCK

      Top blocks

    - #### WALL_BLOCK

          public PlotBlock WALL_BLOCK

      Wall block

    - #### CLAIMED_WALL_BLOCK

          public PlotBlock CLAIMED_WALL_BLOCK

    - #### WALL_FILLING

          public PlotBlock WALL_FILLING

      Wall filling

    - #### ROAD_STRIPES

          public PlotBlock ROAD_STRIPES

      Road stripes

    - #### ROAD_STRIPES_ENABLED

          public boolean ROAD_STRIPES_ENABLED

      enable road stripes

    - #### ROAD_BLOCK

          public PlotBlock ROAD_BLOCK

      Road block

  - ### Constructor Detail

    - #### DefaultPlotWorld

          public DefaultPlotWorld(java.lang.String worldname)

  - ### Method Detail

    - #### getSettingNodes

          public ConfigurationNode[] getSettingNodes()

      CONFIG NODE | DEFAULT VALUE | DESCRIPTION | CONFIGURATION TYPE | REQUIRED FOR INITIAL SETUP

      Set the last boolean to false if you do not require a specific config node to be set while using the setup command - this may be useful if a config value can be changed at a later date, and has no impact on the actual world generation
      Specified by:
        `getSettingNodes` in class `PlotWorld`
      Returns:
        ConfigurationNode[]

    - #### loadConfiguration

          public void loadConfiguration(org.bukkit.configuration.ConfigurationSection config)

      This method is called when a world loads. Make sure you set all your constants here. You are provided with the configuration section for that specific world.
      Specified by:
        `loadConfiguration` in class `PlotWorld`